Buscar leilões
curl --request POST \
--url https://api.example.com/auctions/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page.number": 123,
"page.size": 123,
"sort": [
{}
],
"filters": {}
}
'import requests
url = "https://api.example.com/auctions/search"
payload = {
"page.number": 123,
"page.size": 123,
"sort": [{}],
"filters": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({'page.number': 123, 'page.size': 123, sort: [{}], filters: {}})
};
fetch('https://api.example.com/auctions/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total": 1,
"pageStart": 0,
"pageSize": 10,
"totalPages": 1,
"_embedded": [
{
"_embedded": {
"id": 8871,
"cpf": "52998224725",
"startDate": "2026-05-20T10:00:00.000Z",
"durationSeconds": 300,
"auctionValidityDateTime": "2026-05-20T10:05:00.000Z",
"winningOfferIds": [4521],
"status": "closed",
"guarantee": false
},
"_links": { "self": { "href": "/zipconsig-marketplace/auctions/8871" } }
}
]
}
Leilões
Buscar leilões
Consulta o andamento e o resultado dos leilões de crédito
POST
/
auctions
/
search
Buscar leilões
curl --request POST \
--url https://api.example.com/auctions/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page.number": 123,
"page.size": 123,
"sort": [
{}
],
"filters": {}
}
'import requests
url = "https://api.example.com/auctions/search"
payload = {
"page.number": 123,
"page.size": 123,
"sort": [{}],
"filters": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({'page.number': 123, 'page.size': 123, sort: [{}], filters: {}})
};
fetch('https://api.example.com/auctions/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total": 1,
"pageStart": 0,
"pageSize": 10,
"totalPages": 1,
"_embedded": [
{
"_embedded": {
"id": 8871,
"cpf": "52998224725",
"startDate": "2026-05-20T10:00:00.000Z",
"durationSeconds": 300,
"auctionValidityDateTime": "2026-05-20T10:05:00.000Z",
"winningOfferIds": [4521],
"status": "closed",
"guarantee": false
},
"_links": { "self": { "href": "/zipconsig-marketplace/auctions/8871" } }
}
]
}
É aqui que a Zipdin executa a competição entre as ofertas recebidas para uma solicitação e define o parceiro
vencedor. Esta chamada permite consultar o andamento e o resultado dos leilões.
Todos os endpoints requerem autenticação via Bearer token no header
Authorization.
Consulte o guia de autenticação para obter suas credenciais e gerar um token.Parâmetros
integer
Número da página, começando em 0 (padrão:
0)integer
Itens por página — de 5 a 100 (padrão:
10)array
Array de
{field, direction} (direction: asc ou desc)object
Objeto com chaves
and / or / not, cada uma um array de {field, operator, value}. Operadores
aceitos: eq, ne, lte, gte, lt, gt, startswith, between, like, ilike, in, notIn,
isNull.Exemplo
curl -X POST https://hml.zipdin.com.br/zipconsig-marketplace/auctions/search \
-H "Authorization: Bearer SEU_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"page": { "number": 0, "size": 10 },
"filters": { "and": [{ "field": "status", "operator": "eq", "value": "open" }] }
}'
{
"total": 1,
"pageStart": 0,
"pageSize": 10,
"totalPages": 1,
"_embedded": [
{
"_embedded": {
"id": 8871,
"cpf": "52998224725",
"startDate": "2026-05-20T10:00:00.000Z",
"durationSeconds": 300,
"auctionValidityDateTime": "2026-05-20T10:05:00.000Z",
"winningOfferIds": [4521],
"status": "closed",
"guarantee": false
},
"_links": { "self": { "href": "/zipconsig-marketplace/auctions/8871" } }
}
]
}
Campos de resposta
| Campo | Descrição |
|---|---|
id | ID do leilão |
cpf | CPF do trabalhador da solicitação em leilão |
startDate | Início do leilão |
durationSeconds | Duração da janela de leilão, em segundos |
auctionValidityDateTime | Até quando o resultado do leilão é válido |
winningOfferIds | IDs das ofertas vencedoras (pode ter mais de uma) |
status | Status do leilão |
guarantee | Se o leilão é da modalidade com garantia |
